---
- name: Restart Squirro services
  ansible.builtin.command: /bin/true
  changed_when: true
  notify:
    - Restart OCtopus Email Sending Service
    - Restart OCtopus Uploader Service
    - Restart sqtopicd
    - Restart sqconfigurationd
    - Restart sqcontentd
    - Restart sqdatasourced
    - Restart sqdigestmailerd
    - Restart sqemailsenderd
    - Restart sqfilteringd
    - Restart sqfingerprintd
    - Restart sqindexmanagerd
    - Restart sqingesterd
    - Restart sqmachinelearningd
    - Restart sqnotesd
    - Restart sqpdfconversiond
    - Restart sqplumberd
    - Restart sqproviderd
    - Restart sqrelatedstoryd
    - Restart sqschedulerd
    - Restart sqsearchd
    - Restart sqthumblerd
    - Restart sqtopicproxyd
    - Restart sqtrendsd
    - Restart squserproxyd
    - Restart squserd
    - Restart sqwebshotd
    - Restart sqfrontendd

- name: Clear old logs
  ansible.builtin.include_tasks: clear_old_logs.yml
